<?php

namespace App\Controller;

use App\Controller\AppController;
use Cake\Event\Event;

class UsersController extends AppController
{
    public function beforeFilter(Event $event)
    {
        parent::beforeFilter($event);
        $this->Auth->allow(['ref']);
    }

    public function ref($username = null)
    {
        $this->autoRender = false;
        
        if( !$username ) {
            return $this->redirect('/');
        }
        
        $user = $this->Users->find()->where(['username' => $username, 'status' => 'active'])->first();
        
        if( !$user ) {
            return $this->redirect('/');
        }
        
        $this->Cookie->configKey('ref', [
            'expires' => '+3 month',
            'httpOnly' => true,
            //'encryption' => false
        ]);
        $this->Cookie->write('ref', $username);

        return $this->redirect('/');
    }
    
}
